/**
 * @file exo_ahw_al_imu_stub.c
 *
 * @brief This file contains abstracted stub function for IMU sensor
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>
#include "exo_ahw_al_imu_common.h"

#ifndef __weak
   #define __weak   __attribute__((weak))
#endif /* __weak */

__weak hal_ret_sts ahw_al_imu_init(ahw_al_imu_hdle *himu, ahw_inst_id_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_imu_set_sensor_config(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_imu_get_sensor_config(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_imu_set_power_mode(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_imu_get_power_mode(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_imu_get_sensor_data(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_imu_any_motion_detect_ste_cfg(imu_int_type_cfg *int_config, uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_imu_sig_motion_detect_ste_cfg(imu_int_type_cfg *int_config, uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_imu_no_motion_detect_ste_cfg(imu_int_type_cfg *int_config, uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_imu_orient_detect_ste_cfg(imu_int_type_cfg *int_config, uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_imu_flat_detect_ste_cfg(imu_int_type_cfg *int_config, uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_imu_freefall_detect_ste_cfg(imu_int_type_cfg *int_config, uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_imu_shock_detect_ste_cfg(imu_int_type_cfg *int_config, uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}



